package com.nationrel.modules.fta.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

@Schema(description = "分析计算接口业务对象")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FtaEventBo implements Serializable {

    private Integer eventId;

    private String eventName;

    private Integer outId;

    @Schema(description = "分布类型 FixedProb; Exponential; Weibull2; Weibull3; Lognormal; Normal")
    private String distributionType;

    private Double p1;

    private Double p2;

    private Double p3;

    //预留
    private String eventType;
    //预留
    private Integer mirrorHostId;
}