package com.nationrel.modules.fta.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

@Schema(description = "分析计算接口业务对象")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FtaGateBo implements Serializable {

    private String gateId;

    private String gateName;

    @Schema(description = "门类型：AND, OR, KOON")
    private String gateType;

    private List<String> inIds;

    private String outId;

    @Schema(description = "分布类型 FixedProb; Exponential; Weibull2; Weibull3; Lognormal; Normal")
    private String distributionType;

    private Integer requiredPath;
}
