package com.nationrel.modules.fta.bo;

import com.nationrel.modules.fta.entity.FtaNode;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;

@Schema(description = "汪博士接口计算输入数据")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InputFileDataBo implements Serializable {

    /**
     * 计算所需的结构树：由事件和门组成
     */
    ArrayList<FtaGateBo> ftaTreeBos;

    @Schema(description = "计算所需底事件")
    ArrayList<FtaNode> ftaEllipseNodes;

    /**
     * 计算参数：哪些中间事件需要计算（中间事件及其下底事件）
     */
    StringBuilder process;

    String peakEventId;

    /**
     * 计算完成后，需要更新的各个节点(计算结果)
     */
    HashMap<String, FtaNode> updateResultNodes;

    private HashMap<String, String> eventIdNameMap;

    private HashMap<String, String> idAndFatherMiddleIdMap;

    private HashMap<String, String> middleIdAndChildIdMap;

    private HashMap<String, String> gateIdAndTransferIdMap;

}
