// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.fta.constant;


/**
 * @version V1.0
 * @ClassName LdConstants
 * @Description 寿命数据常量管理
 * @Author aaron
 * @CreateDate 2014-9-9
 */
public final class FtaConstants {

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     */
    private FtaConstants() {
        super();
    }

    /**
     * 是否需要刷新分析树
     */
    public static final String REFRESH_ANALYSIS_TREE = "refreshAnalysisTree";

    /**
     * 顶事件默认的编码
     */
    public static final String TOP_EVENT_CODE = "E-0001";

    public static final String EVENT_CODE = "E-";

    /**
     * 路径分隔符
     */
    public static final String WINDOWS_PATH = "\\";

    // ==================
    // 明细数据编辑页面,复选框是否选择
    // ==================
    /**
     * 表示复选框选中
     */
    public static final String FLAG_CHECKED = "1";
    /**
     * 表示复选框未选中
     */
    public static final String FLAG_NO_CHECKED = "0";

    public static final String DEFAULT_DEL_FLAG = "0";

    public static final String DEL_FLAG = "1";

    public static final String RGA_API_CONTENTTYPE_1 = "application/json";
    public static final String RGA_API_ACCEPTTYPE_1 = "text/html";

    public static final String FTA_GENERATE_SYS_CUTSETS = "FTA/GenerateSysCutsets";
    public static final String FTA_CAL_SYS_RELIABILITY_MATRIC = "FTA/CalSysReliabilityMatric";

    /**
     * 数字1
     */
    public static final int NUM_ONE = 1;
    /**
     * 4位小数
     */
    public static final int NUM_DIGIT_4 = 4;

    /**
     * 编码格式 ISO-8859-1
     */
    public static final String CODING_FORMAT = "ISO-8859-1";
    /**
     * 左小括号 :（
     */
    public static final String LEFT_PARENTHESES_CN = "（";
    /**
     * 右小括号 :）
     */
    public static final String RIGHT_PARENTHESES_CN = "）";

    /**
     * XLSM
     */
    public static final String FILE_TYPE_XLSM = ".xlsm";
    /**
     * 数据插入最大值
     */
    public static final int MAX_BATCH_NUMMAX = 10000;

    // ==================
    // 图形类型
    // ==================
//    public static final String PLOT_TYPE_PROBABLITY = "01"; // 概率图
    public static final String PLOT_TYPE_RELIABILITY = "1"; // 可靠度
    public static final String PLOT_TYPE_UNRELIABILITY = "2"; // 不可靠度
    public static final String PLOT_TYPE_FAILURERATE = "5"; // 失效率
    public static final String PLOT_TYPE_PDF = "8"; // 概率密度
    public static final String API_PLOT_URL = "LifeData/PlotData/";
//    public static final String PLOT_TYPE_CONTOUR = "06"; // 等高图
//    public static final String PLOT_TYPE_HISTOGRAM = "07"; // 柱状图
//    public static final String PLOT_TYPE_STRESSSTRENGTH = "08"; // ss曲线图
//    public static final String PLOT_TYPE_REPLACECOST = "09"; // 最优更换间隔图
//    public static final String PLOT_TYPE_INSPECTCOST = "10"; // 最优检测间隔图

    // ==================
    // FTA计算过程中：数据导入导出相关参数
    // ==================


}

