// Copyright(c) 2021 ReliaQube. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.fta.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.jeecg.common.aspect.annotation.Dict;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Schema(description = "分析表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("fta_analysis")
public class FtaAnalysis {

    @TableId
    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "ftaId ID")
    private String projectId;

    @Schema(description = "分析名称")
    private String analysisName;

    @Schema(description = "父级Id")
    private String fatherId;

    @Schema(description = "当前层级：0: 功能 1：最外层树，其它：子树")
    private Integer level;

    @Schema(description = "视图类型 1宽松 2常规 3紧凑（不支持排序）")
    private String viewType;

    @TableLogic
    @Schema(description = "删除状态")
    private String delFlag;

    /**
     * 创建人
     */
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private Date createTime;
    /**
     * 更新人
     */
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新日期")
    private Date updateTime;

    private Integer versionNo;
}
