package com.nationrel.modules.fta.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "连线信息")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FtaEdge {

    @Schema(description = "连线ID")
    private String id;

    @Schema(description = "分析ID")
    private String analysisId;

    private String sourceId;

    private String targetId;

    @Schema(description = "控制节点顺序（前端排序功能）")
    private Integer edgeOrder;

    @Version
    private Integer versionNo;

    @TableLogic
    @Schema(description = "删除状态")
    private String delFlag;
}
