package com.nationrel.modules.fta.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.fta.general.domain.auth.SystemNameInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * fta框图操作记录表
 *
 * @TableName fta_operator
 */
@Schema(description = "fta框图操作记录表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("fta_operator")
public class FtaOperator extends SystemNameInfo {

    /**
     * 主键
     */
    @Schema(description = "主键")
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * fatherId
     */
    @Schema(description = "关联的操作（如删除底事件时，可能需要删除多个重复事件）")
    private Integer fatherId;

    /**
     * 分析ID
     */
    @Schema(description = "分析ID")
    private String analysisId;

    /**
     * 操作类型（定义枚举）
     */
    @Schema(description = "操作类型（定义枚举）")
    private Integer operatorType;

    /**
     * 逆向sql
     */
    @Schema(description = "逆向sql")
    private String reverseSql;

    /**
     * 关联的节点id
     */
    @Schema(description = "关联的节点id")
    private String relateId;

    /**
     * 节点原排序信息
     */
    @Schema(description = "节点原排序信息")
    private Integer edgeOrder;
}
