package com.nationrel.modules.fta.general.common;

/**
 * 异常状态配置
 * @author hcs 创建时间: 2018/2/7 0007.
 */
public enum ResponseStatus {
    /**
     * 异常状态配置
     */
    UNKNOW_ERROR(-1, "未知错误"),
    LIMITING(1006, "当前服务正在更新！"),
    SUCCESS(0, "SUCCESS"),
    ERROR(-2, "ERROR"),
    WARN(301, "WARN"),

    NEED_LOGIN(10, "NEED_LOGIN"),
    ILLEGAL_ARGUMENT(2, "ILLEGAL_ARGUMENT"),
    No_Permission(3, "No_Permission"),

    LOGIN_NAMEPASSWORD(1001, "用户名或密码错误！"),
    LOGIN_LOOKING(1002, "用户锁定，规定时间内不能登录！"),
    LOGIN_ENCRYPT(1004, "密码加密失败！"),
    LOGIN_STOPUSING(1005, "用户已经停用，请与管理员联系！"),

    AUTHEN_NOAUTHEN(2001, "当前用户没有进行这项操作的权限！"),
    AUTHEN_TAMPER(2002, "用户信息被篡改，无法解析用户信息！"),
    AUTHEN_SERVER(2003, "访问鉴权模块失败！"),
    AUTHEN_TIMEOUT(2004, "鉴权超时，请联系管理员！"),
    AUTHEN_OVERDUE(2005, "鉴权信息过期或不存在，请重新登录！"),
    AUTHEN_NOTSET(2006, "当前系统还未设置权限系统！"),

    DATA_CONVERT(3001, "数据类型转换错误！"),
    DATA_OUT(3002, "字符串或数组下标越界！"),
    DATA_ILLEGAL(3003, "未提交正确的参数！"),
    DATA_ILLEGALID(3004, "传入的id无对应数据！"),

    LOG_ENTITYERROR(4001, "写入日志时参数解析失败！"),
    LOG_WRITEERROR(4002, "写入日志失败！"),

    PERMISSION_NOAUTHEN(5001, "当前用户没有进行这项操作的权限！"),
    PERMISSION_SERVER(5002, "获取菜单ID失败！"),

    SERVICE_STOP(6001, "服务未启动，请联系管理员！"),

    IMPORT_FILE(7001, "导入失败");


    private final int status;
    private final String message;


    ResponseStatus(int status, String message) {
        this.status = status;
        this.message = message;
    }

    public int getStatus() {
        return status;
    }

    public String getMessage() {
        return message;
    }

}
