package com.nationrel.modules.fta.general.domain.auth;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class HeaderUserInfo {

    private String userId;

    private String userName;

    private String loginName;

    private String expiredTime;

    private String token;

    private List<UserRoleInfo> roleInfos;

    private Integer languageKey;

    /** 登录时设置信息 用户ID, 登录时间 */
//    private Date loginTime;

    /** 权限拦截器 pgmId, 权限, menu, 权限锁(乐观,防止权限变化) */
//    private String requestURI;

    /** 程序ID */
    private String pgmId = StringUtils.EMPTY; // ReliaQube项目中用不到

    /** 功能权限(YN)/操作权限(CRUD) */
//    private Map<String, String> authority;

    /** Menu(功能权限的局部实现) */
//    private Map<String, List<SysMenuInfo>> menus;

    /** 用户信息 */
//    private SysUser sysUser;

    /** 消息数量 */
    private String messages;

    /** 登录用户的语言环境 */
//    private String locale;
}
