package com.nationrel.modules.fta.general.domain.enums.fta;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.fta.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * fta故障树 视图类型 1宽松（支持排序） 2常规（支持排序） 3紧凑（不支持排序）
 */
public enum FtaAnalysisViewTypeEnum {

    宽松("1", "宽松"),
    常规("2", "常规"),
    紧凑("3", "紧凑");

    private String index;

    private String name;

    FtaAnalysisViewTypeEnum(String index, String name) {
        this.index = index;
        this.name = name;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, FtaAnalysisViewTypeEnum> JSON_ARRAY_MAP = new HashMap<>();

    public static final JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (FtaAnalysisViewTypeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getNameByIndex(String index) {
        for (FtaAnalysisViewTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
