package com.nationrel.modules.fta.general.domain.enums.fta;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.fta.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.fta.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Aimee on 2020/10/22.
 */
public enum FtaMatricTypeEnum {
    /**
     *
     */
    Reliability("1", "可靠度", "Reliability"),
    Unreliability("2", "不可靠度", "Unreliability"),
    CondRel("3", "条件可靠度", "CondRel"),
    CondUnrel("4", "条件不可靠度", "CondUnrel"),
    FailureRate("5", "失效率", "FailureRate"),
    WarrantyLife("6", "保修寿命", "WarrantyLife"),
    BXLife("7", "BXLife", "BXLife"),
    PDF("8", "PDF", "PDF"),
    Mean("9", "平均寿命", "Mean"),
    RI("10", "RI", "RI");

    private String index;

    private String name;

    private String englishName;

    FtaMatricTypeEnum(String index, String name, String englishName) {
        this.index = index;
        this.name = name;
        this.englishName = englishName;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, FtaMatricTypeEnum> JSON_ARRAY_MAP = new HashMap<>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (FtaMatricTypeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getNameByLanguageKey(String index, Integer languageKey) {
        for (FtaMatricTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return languageKey.equals(ReliaqubeLanguageKeyEnum.中文.getIndex()) ? e.getName() : e.getEnglishName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getEnglishNameByIndex(String index) {
        for (FtaMatricTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getEnglishName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
