package com.nationrel.modules.fta.general.domain.enums.fta;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.fta.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * fta故障树 回退类型
 */
public enum FtaOperatorTypeEnum {

    新增节点和连线(1, "新增节点和连线"), // 少量数据新增
    删除节点和连线(2, "删除节点和连线"),
    更新连线顺序(3, "更新连线顺序（节点左右移动功能）"),
    转移门转为子集(4, "转移门转为子集"),
    子集转为转移门(5, "子集转为转移门"),
    节点类型字段更新(6, "基本门之间互转；底事件和未展开事件互转；底事件转为基本门（仅需更新一个类型字段和该节点的少量参数）"),
    基本门转为底事件(7, "与门或门表决门转为底事件"),
    剪切(8, "剪切"),
    复制(9, "复制"),// 大数据量新增
    复制为重复转移门(10, "复制为重复转移门"),
    复制为重复中间事件(11, "复制为重复中间事件");

    private Integer index;

    private String name;

    FtaOperatorTypeEnum(Integer index, String name) {
        this.index = index;
        this.name = name;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    // Implementing a fromString method on an enum type
    private static final Map<Integer, FtaOperatorTypeEnum> JSON_ARRAY_MAP = new HashMap<>();

    public static final JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (FtaOperatorTypeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getNameByIndex(Integer index) {
        for (FtaOperatorTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
