package com.nationrel.modules.fta.general.domain.enums.fta;


import com.nationrel.modules.fta.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.fta.general.util.common.BasicDataUtil;

import java.util.Objects;

public enum FtaParamDataExceptionEnum {
    /**
     *
     */

    事件NODE_NAME设置的分布类型无效("DISTRIBUTION_TYPE", "事件NODE_NAME设置的分布类型无效！", "The distribution type of input basic event NODE_NAME is invalid!", "未知錯誤！", "不明なエラーです"),
    输入的门类型无效("FTA_NODE_TYPE", "输入的门类型无效！", "The type of input gate NODE_NAME is invalid!", "未知錯誤！", "不明なエラーです"),
    顶事件为空("GEN_SYSTEM_CUTSET", "顶事件为空！", "Unable to find top gate!", "未知錯誤！", "不明なエラーです"),
    无效的可靠性指标("MATRIC_TYPE", "无效的可靠性指标！", "Invalid matric type!", "未知錯誤！", "不明なエラーです"),
    请勿将一个事件剪切到该事件的子集中("", "请勿将一个事件剪切到该事件的子集中！", "Do not cut an event into a subset of that event!", "未知錯誤！", "不明なエラーです"),
    测试环境暂不支持超过n个门的分析计算("", "测试环境暂不支持超过%s个门的分析计算！", "The test environment does not support the analysis calculation of more than %s gates at present!", "未知錯誤！", "不明なエラーです"),
    请检查gates下是否存在事件("", "请检查 %s下是否存在事件", "Check if there is an event under the %s", "未知錯誤！", "不明なエラーです"),
    请检查表决门gates下的事件数量是否符合数量要求("", "请检查表决门 %s下的事件数量是否符合数量要求", "Please check whether the number of events under the voting door（%s） meets the number requirements", "未知錯誤！", "不明なエラーです"),
    请先选择门上方的名称框再进行粘贴("", "请先选择门上方的名称框，再进行粘贴！", "Please select the name box above the door before pasting", "未知錯誤！", "不明なエラーです"),
    不支持跨分析粘贴("", "不支持跨分析粘贴！", "Pasting across analyses is not supported!", "未知錯誤！", "不明なエラーです"),
    该底事件存在关联的重复事件("", "该底事件存在关联的重复事件！", "This base event has an associated duplicate event and cannot be converted to an unexpanded event!", "未知錯誤！", "不明なエラーです"),
    同一个门下禁止添加同一个重复事件("", "同一个门下禁止添加同一个重复事件、转移门、中间事件！", "It is forbidden to add the same duplicate event under the same gate!", "未知錯誤！", "不明なエラーです"),

    所传数据不合法("", "所传数据不合法！", "The data transmitted is illegal！", "所傳數據不合法！", "送信されたデータは違法です"),
    没有计算结果无法画图("", "没有计算结果无法画图！", "Cannot draw without calculation result!", "未知錯誤！", "不明なエラーです"),
    请检查门的输入("", "请检查门的输入！", "Please check the door input!", "未知錯誤！", "不明なエラーです"),
    请检查表决门的输入("", "表决门必要路径大于入线数量，请检查！", "Please check the door input!", "未知錯誤！", "不明なエラーです"),
    未知错误("", "未知错误，请联系管理员！", "Unknown error, please contact the administrator!", "未知錯誤！", "不明なエラーです"),
    数据ID不可以为空("", "数据ID不可以为空！", "Data ID cannot be empty!", "未知錯誤！", "不明なエラーです"),
    设置ID不可以为空("", "设置ID不可以为空！", "Setting ID cannot be empty!", "未知錯誤！", "不明なエラーです"),
    图片上传失败("", "图片上传失败！", "Picture upload failed!", "未知錯誤!", "不明なエラーです"),
    请输入正确的寿命单位("", "请输入正确的寿命单位！", "Picture upload failed!", "未知錯誤!", "不明なエラーです"),
    计算失败请检查数据或设置("", "计算失败，请检查数据或设置！", "Picture upload failed!", "未知錯誤!", "不明なエラーです"),
    计算失败请联系管理员("", "计算失败，请联系管理员！", "Picture upload failed!", "未知錯誤!", "不明なエラーです"),
    请检查数据("checkData", "请检查数据！", "Please check the data!", "未知錯誤!", "不明なエラーです"),
    回退失败("", "回退失败！", "Rollback failure!", "未知錯誤!", "不明なエラーです"),
    最多撤销五步("", "每个分析最多撤销五步操作，当前分析已不可撤销！", "Each analysis can undo up to five steps and the current analysis is irrevocable!", "未知錯誤!", "不明なエラーです"),
    修复失败("", "修复失败！", "error!", "未知錯誤!", "不明なエラーです"),
    导入失败("", "导入失败！", "The import failed.!", "未知錯誤!", "不明なエラーです"),
    分析ID不可以为空("", "分析ID不可以为空！", "Analysis ID cannot be empty!", "未知錯誤！", "不明なエラーです");

    private String index;

    private String chinese;

    private String english;

    private String tw;

    private String japanese;

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getTw() {
        return tw;
    }

    public void setTw(String tw) {
        this.tw = tw;
    }

    public String getJapanese() {
        return japanese;
    }

    public void setJapanese(String japanese) {
        this.japanese = japanese;
    }

    FtaParamDataExceptionEnum(String index, String chinese, String english, String tw, String japanese) {
        this.index = index;
        this.chinese = chinese;
        this.english = english;
        this.tw = tw;
        this.japanese = japanese;
    }

    public static String getLanguageMessageByKey(FtaParamDataExceptionEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.繁体中文.getIndex())) {
            return promptEnum.getTw();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.日语.getIndex())) {
            return promptEnum.getJapanese();
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getNameByLanguageKey(String index, Integer languageKey) {
        for (FtaParamDataExceptionEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return getLanguageMessageByKey(e, languageKey);
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getEnglishNameByIndex(String index) {
        for (FtaParamDataExceptionEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getEnglish();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
