package com.nationrel.modules.fta.general.domain.enums.reliaqube;

import com.nationrel.modules.fta.general.util.common.BasicDataUtil;
import lombok.Getter;

import java.util.Objects;

public enum ReliaqubeParamDataCheckEnum {
    /**
     *
     */

    // ------------------------ 系统级别校验Start ------------------------/
    未知错误("ExceptionError", "系统异常，请联系管理员处理！", "System exception, please contact the administrator for handling!", "未知錯誤！", "不明なエラーです"),
    // ------------------------  系统级别校验End  ------------------------/
    // ----------------------- 用户权限信息校验Start ----------------------/
    管理员账号不可删除("AdminNotDelete", "管理员账号不可删除！", "Organization name cannot be empty!", "未知錯誤！", "不明なエラーです"),
    该手机号已注册过账号("MobilePhoneIsExist", "该手机号已注册过账号！", "Organization name cannot be empty!", "未知錯誤！", "不明なエラーです"),
    组织名称不可以为空("OrganizationNotEmpty", "组织名称不可以为空！", "Organization name cannot be empty!", "未知錯誤！", "不明なエラーです"),
    用户名不可以为空("UserNameNotEmpty", "用户名不可以为空！", "User name cannot be empty!", "未知錯誤！", "不明なエラーです"),
    密码不可以为空("PasswordNotEmpty", "密码不可以为空！", "Password name cannot be empty!", "未知錯誤！", "不明なエラーです"),
    昵称真实姓名不可以为空("NickNameNotEmpty", "昵称/真实姓名不可以为空！", "Nick name cannot be empty!", "未知錯誤！", "不明なエラーです"),
    // ----------------------  用户权限信息校验End  -----------------------/
    请上传正确的文件格式xlsm("RightXml", "请上传正确的文件格式，目前仅支持xlsm格式，建议点击下载模板按钮。", "Please upload the correct file format. Currently, only xlsm format is supported. It is recommended to click the download template button.", "未知錯誤！", "不明なエラーです"),
    请上传正确的文件格式xlsx("RightXml", "请上传正确的文件格式，目前仅支持xlsx格式，建议点击下载模板按钮。", "Please upload the correct file format. Currently, only xlsx format is supported. It is recommended to click the download template button.", "未知錯誤！", "不明なエラーです"),
    分析名称不可以为空("NameNotEmpty", "分析名称不可以为空！", "Analysis name cannot be empty!", "未知錯誤！", "不明なエラーです"),
    至少选择一组数据("AtLeastOneData","列表2不可为空，至少选择一组数据", "List 2 can not be empty,Select at least one set of data", "未知錯誤！", "不明なエラーです"),
    数据ID不可以为空("DataIdNotEmpty", "数据ID不可以为空！", "Data ID cannot be empty!", "未知錯誤！", "不明なエラーです"),
    设置ID不可以为空("SetIdNotEmpty", "设置ID不可以为空！", "Setting ID cannot be empty!", "未知錯誤！", "不明なエラーです"),
    内华达ID不可以为空("NevadaIdNotEmpty", "内华达ID不可以为空", "Nevada ID cannot be empty", "未知錯誤！", "不明なエラーです"),
    图片上传失败("PicLoadFailed", "图片上传失败！", "Picture upload failed!", "未知錯誤!", "不明なエラーです"),
    请输入正确的寿命单位("RightLifeUnit", "请输入正确的寿命单位！", "Please enter the correct life unit!", "未知錯誤!", "不明なエラーです"),
    请检查数据("checkData","请检查数据！", "Please check the data!", "未知錯誤!", "不明なエラーです"),
    计算失败请检查数据或设置("CalculationFailed", "计算失败，请检查数据或设置！", "Calculation failed, please check the data or settings!", "未知錯誤!", "不明なエラーです"),
    不满足多样本计算条件("CalculationFailed", "计算失败，所选数据不满足多样本计算条件！", "Calculation failed, please check the data or settings!", "未知錯誤!", "不明なエラーです"),
    设备安装时间或表格收集时间为空("CalculationFailed", "计算失败，所选数据中存在空的设备安装时间或表格收集时间！", "Calculation failed, please check the data or settings!", "未知錯誤!", "不明なエラーです"),
    暂未添加数据("DataIsEmpty", "暂未添加数据，无法计算结果！", "Data has not been added yet, unable to calculate the result!", "未知錯誤!", "不明なエラーです"),
    数据不可以为空("DataNotEmpty", "数据不可以为空", "Data cannot be empty", "未知錯誤！", "不明なエラーです"),
    结束时间不可为空("EndTimeIsEmpty", "结束时间不可为空！", "End time cannot be empty!", "未知錯誤!", "不明なエラーです"),
    结束时间范围必须是999999999("EndTimeRange", "结束时间范围必须是0.0001-999999999.9999！", "End time range must be 0.0001-999999999.9999!", "未知錯誤!", "不明なエラーです"),
    结束时间必须大于等于最近检查时间("EndTimeGreater", "结束时间必须大于等于最近检查时间！", "End time must be greater than or equal to the latest inspection time!", "未知錯誤!", "不明なエラーです"),
    F或者S不可为空("FSNotEmpty", "F或者S不可为空！", "F or s cannot be empty!", "未知錯誤!", "不明なエラーです"),
    输入内容必须是F或者S("ContentFS", "输入内容必须是F或者S！", "Input content must be f or s!", "未知錯誤!", "不明なエラーです"),
    结束时间必须为数字("EndTimeNumber", "结束时间必须为数字！", "End time must be a number!", "未知錯誤!", "不明なエラーです"),
    数量不可为空("QuantityNotEmpty", "数量不可为空且不能为0！", "Quantity cannot be empty!", "未知錯誤!", "不明なエラーです"),
    数量必须为整数("QuantityInteger", "数量必须为整数！", "Quantity cmust be an integer!", "未知錯誤!", "不明なエラーです"),
    数量范围必须是99999("QuantityRange", "数量范围必须是1-99999！", "Quantity range must be 1-99999!", "未知錯誤!", "不明なエラーです"),
    最近检查时间不可为空("LastTimeNotEmpty", "数量不可为空！", "Last check time cannot be empty!", "未知錯誤!", "不明なエラーです"),
    最近检查时间必须为数字("LastTimeInteger", "最近检查时间必须为数字！", "Last check time must be a number!", "未知錯誤!", "不明なエラーです"),
    最近检查时间范围必须大于0("LastTimeRange", "最近检查时间范围必须大于0！", "Quantity rThe last check time range must be greater than 0!", "未知錯誤!", "不明なエラーです"),
    当前数据在该模型下无法进行分析("DataNotAnalyzed", "当前数据在该模型下无法进行分析，请修改数据或联系软件开发商进行处理！", "The current data cannot be analyzed under this model. Please modify the data or contact the software developer for processing!", "未知錯誤!", "不明なエラーです"),
    分布类型不可以为空("DistributingCodeNotEmpty", "分布类型不可以为空！", "Distributing code cannot be empty!", "未知錯誤！", "不明なエラーです"),
    应力强度类型不可以为空("StressStrengthNotEmpty", "应力强度类型不可以为空！", "Stress or strength cannot be empty!", "未知錯誤！", "不明なエラーです"),
    分析ID不可以为空("AnalysisIdNotEmpty", "分析ID不可以为空！", "Analysis ID cannot be empty!", "未知錯誤！", "不明なエラーです");

    @Getter
    private String code;

    @Getter
    private String chinese;

    @Getter
    private String english;

    @Getter
    private String tw;

    @Getter
    private String japanese;

    ReliaqubeParamDataCheckEnum(String code, String chinese, String english, String tw, String japanese) {
        this.tw = tw;
        this.code = code;
        this.chinese = chinese;
        this.english = english;
        this.japanese = japanese;
    }

    public static String getLanguageMessageByKey(ReliaqubeParamDataCheckEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.繁体中文.getIndex())) {
            return promptEnum.getTw();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.日语.getIndex())) {
            return promptEnum.getJapanese();
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getConstantByLanguageKey(String name, Integer languageKey, Integer rowNum) {
        return (languageKey.equals(ReliaqubeLanguageKeyEnum.中文.getIndex()) ? "第 " : "Row: ") + rowNum + (languageKey.equals(ReliaqubeLanguageKeyEnum.中文.getIndex()) ? "行" : "");
    }

    /**
     * 根据code以及languageKey获取异常信息
     * @param code
     * @param languagekey
     * @return
     */
    public static String getLanguageMessageByCode(String code, Integer languagekey){
        ReliaqubeParamDataCheckEnum[] paramDataCheckEnums = ReliaqubeParamDataCheckEnum.values();
        ReliaqubeParamDataCheckEnum targetParamDataCheckEnum = null;
        for (ReliaqubeParamDataCheckEnum paramDataCheckEnum : paramDataCheckEnums) {
            if (paramDataCheckEnum.code.equals(code)) {
                targetParamDataCheckEnum = paramDataCheckEnum;
            }
        }
        return getLanguageMessageByKey(targetParamDataCheckEnum, languagekey);
    }
}
