package com.nationrel.modules.fta.general.util.common;

import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.PrintStream;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class StringCharUtil {

    private static Pattern p = Pattern.compile("\\s*|\t|\r|\n");

    /**
     * 获取uuid
     */
    public static String getSquence() {
        return UUID.randomUUID().toString();
    }

    /**
     * 获取uuid
     */
    public static String getEmptyStr() {
        return null;
    }

    /**
     * 判断是否为空字符串
     *
     * @param str
     * @return 如果为空，则返回true
     */
    public static boolean isEmpty(String str) {
        return str == null || str.trim().length() == 0;
    }

    /**
     * 判断字符串是否非空
     *
     * @param str 如果不为空，则返回true
     * @return
     */
    public static boolean isNotEmpty(String str) {
        return !isEmpty(str);
    }

    /**
     * 去除字符串开头的问号
     */
    public static String handle(String str) {
        if (str.startsWith("?")) {
            return str.substring(1);
        }
        return str;
    }

    /**
     * 替换回车换行符
     *
     * @param str
     * @return
     */
    public static String replaceBlack(String str) {
        String dest = "";
        if (str != null) {
            Matcher m = p.matcher(str);
            dest = m.replaceAll("");
        }
        return dest;
    }


    /**
     * 判断字符是否为数字
     *
     * @param str
     * @return
     */
    public static boolean isNumeric(String str) {
        String bigStr;
        try {
            bigStr = new BigDecimal(str).toString();
        } catch (Exception e) {
            return false;//异常 说明包含非数字。
        }
        return true;
    }

    /**
     * 逐行读取转list
     *
     * @param br
     * @return
     */
    public static List<String> readLineToList(BufferedReader br) {
        List<String> result = new ArrayList<>();
        String line;
        try {
            //网友推荐更加简洁的写法
            while ((line = br.readLine()) != null) {
                result.add(line);
            }
            br.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return result;
    }

    /**
     *  * 获取Exception详情
     *  * @param ex
     *  * @return
     *  
     */
    public static String getExceptionAllinformation(Exception ex) {
        ByteArrayOutputStream out = new ByteArrayOutputStream();
        PrintStream pout = new PrintStream(out);
        ex.printStackTrace(pout);
        String ret = new String(out.toByteArray());
        try {
            pout.close();
        } catch (Exception e) {
        }
        try {
            out.close();
        } catch (Exception e) {
        }
        if (ret.length() > 4000) {
            ret = ret.substring(0, 3999);
        }
        return ret;
    }

    /**
     * 读取授权文件信息
     *
     * @param path
     * @return
     */
    public static String getCurFileName(String path) {
        List<String> result = new ArrayList<>();
        File file = new File(path);
        String[] names = file.list();
        if (names != null) {
            for (int i = 0; i < names.length; i++) {
                if (names[i].endsWith(".nationrel")) {
                    return names[i];
                }
            }
        }
        return null;
    }
}
