package com.nationrel.modules.fta.util;

import lombok.extern.slf4j.Slf4j;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;

@Slf4j
public class FileUtil {

    /**
     * 判断文件是否存在
     *
     * @param pathname
     * @param name
     * @return
     */
    public static boolean isFile(String pathname, String name) {
        try (FileReader reader = new FileReader(new StringBuilder(pathname).append(name).append(".fre").toString());
             BufferedReader br = new BufferedReader(reader)
        ) {
        } catch (IOException e) {
            return true;
        }
        return false;
    }

    /**
     * 删除文件
     *
     * @param file
     * @return
     */
    public static Boolean deleteFile(File file) {
        //判断文件不为null或文件目录存在
        if (file == null || !file.exists()) {
            log.error("文件删除失败,请检查文件是否存在以及文件路径是否正确");
            return false;
        }
        //获取目录下子文件
        File[] files = file.listFiles();
        //遍历该目录下的文件对象
        for (File f : files) {
            //判断子目录是否存在子目录,如果是文件则删除
            if (f.isDirectory()) {
                //递归删除目录下的文件
                deleteFile(f);
            } else {
                //文件删除
                f.delete();
                //打印文件名
//                System.out.println("文件名：" + f.getName());
            }
        }
        //文件夹删除
//        file.delete();
//        System.out.println("目录名：" + file.getName());
        return true;
    }
}
