package com.nationrel.modules.fta.vo;

import com.nationrel.modules.fta.entity.FtaEdge;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Max;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FtaEventVo extends FtaEdge {

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "事件ID")
    private String Id;

    @Schema(description = "事件编号")
    private String code;

    @Schema(description = "事件名称")
    private String name;

    @Schema(description = "1：顶事件 2：中间事件 3：底事件 4：未开发事件 5：重复事件 6：转移门")
    private String typeCode;

    @Schema(description = "11：与门 12：或门 13：表决门")
    private String childrenTypeCode;

    @Schema(description = "重复事件的对应事件id")
    private String masterId;

    @Schema(description = "分布类型编号")
    private String distributionTypeCode;

    @Schema(description = "p1Value")
    @Max(value = 1000000, message = "checkData")
    private Double p1Value;

    @Schema(description = "p2Value")
    @Max(value = 1000000, message = "checkData")
    private Double p2Value;

    @Schema(description = "p3Value")
    @Max(value = 1000000, message = "checkData")
    private Double p3Value;

    @Schema(description = "Q(固定失效概率)")
    private Double q;

    @Schema(description = "割集")
    private Double cutset;

    @Schema(description = "计算标识")
    private Integer calFlag;

    @Schema(description = "KN节点的必要路径")
    private Integer requiredPath;
}
